package com.yonge.cooleshow.bbs.dto.search;

import com.yonge.cooleshow.bbs.enums.ArticleEnum;
import com.yonge.toolset.base.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-06-09 17:27:11
 */
@ApiModel(value = "BbsArticleSearch对象", description = "文章查询对象")
public class BbsArticleSearch extends QueryInfo{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("标题搜索")
	private String search;

	@ApiModelProperty("标签id")
	private Long  label;

	@ApiModelProperty("排序方式 NEW:最新，HOT:最热")
	private String  sort;

	@ApiModelProperty(value = "用户id",hidden = true)
	private Long userId;

	@ApiModelProperty("草稿:DRAFT，审核中:DOING，通过:PASS，驳回:REJECT")
	private ArticleEnum status;

	@ApiModelProperty("0:正常 1:删除")
	private Boolean delFlag;

	@Override
	public String getSearch() {
		return search;
	}

	@Override
	public void setSearch(String search) {
		this.search = search;
	}

	public Long getLabel() {
		return label;
	}

	public void setLabel(Long label) {
		this.label = label;
	}

	@Override
	public String getSort() {
		return sort;
	}

	@Override
	public void setSort(String sort) {
		this.sort = sort;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public ArticleEnum getStatus() {
		return status;
	}

	public void setStatus(ArticleEnum status) {
		this.status = status;
	}

	public Boolean getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Boolean delFlag) {
		this.delFlag = delFlag;
	}
}